Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.overlay.validate
Class OverlayResultValidator

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.validate.OverlayResultValidator

    public class OverlayResultValidator

extends java.lang.Object

Validates that the result of an overlay operation is geometrically correct, within a determined tolerance. Uses fuzzy point location to find points which are definitely in either the interior or exterior of the result geometry, and compares these results with the expected ones.

This algorithm is only useful where the inputs are polygonal. This is a heuristic test, and may return false positive results (I.e. it may fail to detect an invalid result.) It should never return a false negative result, however (I.e. it should never report a valid result as invalid.)

Version:
  1.7
Author:
  Martin Davis
See Also:
  `OverlayOp`

Constructor Summary
`OverlayResultValidator(Geometry a, Geometry b, Geometry result)`

Method Summary
`Coordinate` | `getInvalidLocation()`
`static boolean` | `isValid(Geometry a, Geometry b, int overlayOp, Geometry result)`
`boolean` | `isValid(int overlayOp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverlayResultValidator

    public OverlayResultValidator(Geometry a,
                                  Geometry b,
                                  Geometry result)

Method Detail

### isValid

    public static boolean isValid(Geometry a,
                                  Geometry b,
                                  int overlayOp,
                                  Geometry result)

### isValid

    public boolean isValid(int overlayOp)

### getInvalidLocation

    public Coordinate getInvalidLocation()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD